/*
 * spi.h
 *
 * Created: 13.12.2014 17:01:51
 *  Author: Moataz
 */ 


#ifndef SPI_H_
#define SPI_H_

#include <avr/io.h>
// AD7734 Signals
#define AD7734_CS		PA3
#define AD7734_RESET	PB1
#define AD7734_P0		PB2
#define AD7734_SYNC		PB3
#define AD7734_RDY		PB4

// SPI PINs
#define SPI_MOSI		PB5
#define SPI_MISO		PB6
#define SPI_SCK			PB7



void spiInit(void);
void spiWriteByte(uint8_t Byte_u8);
uint8_t spiReadByte(uint8_t address_u8);
void spiWriteData(uint8_t *data_u8a, uint8_t byteNumber_u8);
void spiReadData(uint8_t *data_u8a, uint8_t byteNumber_u8);



#endif /* SPI_H_ */